.NET

.NET

Reply
Contributor
vinayan
Posts: 13
Registered: ‎05-17-2009
Message 1 of 2 (234 Views)
Accepted Solution

How to Get all opened documents(drawings)

234 Views, 1 Replies
05-28-2012 03:33 AM

I am using AutoCAD 2012 and the .NET API. Can someone help me how can i loop through the document objects of all the open documents? i am trying to do something like the code below..

 

public void GetDocNames()
        {
            DocumentCollection docs = Application.DocumentManager;

            for (int i = 0; i < docs.Count; i++)
            {
                AcadDocument doc = docs[i];
                Debug.Print(doc.Name);
            }
        }

 

For Each element As Autodesk.AutoCAD.ApplicationServices.Document In Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager
.. your code.
Next

 

with this you have all open document 

Valued Mentor
AubelecBE
Posts: 407
Registered: ‎01-27-2010
Message 2 of 2 (226 Views)

Re: How to Get all opened documents(drawings)

05-28-2012 05:04 AM in reply to: vinayan
For Each element As Autodesk.AutoCAD.ApplicationServices.Document In Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager
            
.. your code.
        Next

 

with this you have all open document 

Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.